Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class TModel

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TModel

    public class TModel

extends Object

TModel provides description of specifications for services and taxonomies.

Constructor Summary
`TModel()` Class Constructor

Method Summary
`void` | `addDescription(String des)` Adds a new description to the descriptions.
`String` | `getAuthorizedName()` Gets the value of the authorizedName.
`CategoryBag` | `getCategoryBag()` Gets the value of the categoryBag.
`Vector` | `getDescriptionVector()` Gets the set of descriptions
`IdentifierBag` | `getIdentifierBag()` Gets the value of the identifierBag.
`Name` | `getName()` Gets the value of the name.
`String` | `getOperator()` Gets the value of the operator.
`OverviewDoc` | `getOverviewDoc()` Gets the value of the overviewDoc.
`String` | `getTModelKey()` Gets the value of the tModelKey.
`void` | `setAuthorizedName(String name)` Sets the value of the authorizedName.
`void` | `setCategoryBag(CategoryBag cb)` Sets the value of the categoryBag.
`void` | `setDescriptionVector(Vector value)` Sets the set of descriptions
`void` | `setIdentifierBag(IdentifierBag value)` Sets the value of the identifierBag.
`void` | `setName(Name val)` Sets the value of the name.
`void` | `setName(String val)` Sets the value of the name.
`void` | `setOperator(String val)` Sets the value of the operator.
`void` | `setOverviewDoc(OverviewDoc ovDoc)` Sets the value of the overviewDoc.
`void` | `setTModelKey(String keyValue)` Sets the value of the tModelKey.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModel

    public TModel()

  Class Constructor

Method Detail

### setTModelKey

    public void setTModelKey(String keyValue)

  Sets the value of the tModelKey.

  Parameters:
    `keyValue` - the new value of the tModelKey.

### setOperator

    public void setOperator(String val)

  Sets the value of the operator.

  Parameters:
    `val` - the new value of the operator.

### setAuthorizedName

    public void setAuthorizedName(String name)

  Sets the value of the authorizedName.

  Parameters:
    `name` - the new value of the authorizedName.

### getTModelKey

    public String getTModelKey()

  Gets the value of the tModelKey.

  Returns:
    the current value of the tModelKey.

### getOperator

    public String getOperator()

  Gets the value of the operator.

  Returns:
    the current value of the operator.

### getAuthorizedName

    public String getAuthorizedName()

  Gets the value of the authorizedName.

  Returns:
    the current value of the authorizedName.

### setName

    public void setName(String val)

  Sets the value of the name.

  Parameters:
    `val` - the new value of the name.

### setName

    public void setName(Name val)

  Sets the value of the name.

  Parameters:
    `val` - the new value of the name.

### getName

    public Name getName()

  Gets the value of the name.

  Returns:
    the current value of the name.

### addDescription

    public void addDescription(String des)

  Adds a new description to the descriptions.

  Parameters:
    `des` - the new description.

### getDescriptionVector

    public Vector getDescriptionVector()

  Gets the set of descriptions

  Returns:
    the set of descriptions

### setDescriptionVector

    public void setDescriptionVector(Vector value)

  Sets the set of descriptions

  Parameters:
    `the` - new set of descriptions

### setOverviewDoc

    public void setOverviewDoc(OverviewDoc ovDoc)

  Sets the value of the overviewDoc.

  Parameters:
    `ovDoc` - the new value of the overviewDoc.

### getOverviewDoc

    public OverviewDoc getOverviewDoc()

  Gets the value of the overviewDoc.

  Returns:
    the current value of the overviewDoc.

### setCategoryBag

    public void setCategoryBag(CategoryBag cb)

  Sets the value of the categoryBag.

  Parameters:
    `cb` - the new value of the categoryBag.

### getCategoryBag

    public CategoryBag getCategoryBag()

  Gets the value of the categoryBag.

  Returns:
    the current value of the categoryBag.

### getIdentifierBag

    public IdentifierBag getIdentifierBag()

  Gets the value of the identifierBag.

  Returns:
    the current value of the identifierBag.

### setIdentifierBag

    public void setIdentifierBag(IdentifierBag value)

  Sets the value of the identifierBag.

  Parameters:
    `value` - the new value of the identifierBag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD